- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# GeoSetBuilder.cpp File Reference

`#include "flt.h"`
`#include "FltFile.h"`
`#include "Pool.h"`
`#include "opcodes.h"`
`#include "GeoSetBuilder.h"`
`#include <osg/Object>`
`#include <osg/LOD>`
`#include <osg/BlendFunc>`
`#include <osg/Geode>`
`#include <osg/StateSet>`
`#include <osg/Material>`
`#include <osg/Texture2D>`
`#include <osg/TexEnv>`
`#include <osg/CullFace>`
`#include <osg/PolygonOffset>`
`#include <osg/Point>`
`#include <osg/Notify>`
`#include <osgUtil/Optimizer>`
`#include <map>`
`#include <algorithm>`

Include dependency graph for GeoSetBuilder.cpp:

## Defines
#define | APPEND_DynGeoSet_List(list)
#define | VERIFY_DynGeoSet_Binding(binding, list)
## Variables
const osg::PrimitiveSet::Mode | NO_PRIMITIVE_TYPE = (osg::PrimitiveSet::Mode)0xffff

## Define Documentation

#define APPEND_DynGeoSet_List | ( | list |  | ) |

| Value:
    if (source->list.size() > 0)                        \
            list.insert(list.end(),                         \
                source->list.begin(), source->list.end());

#define VERIFY_DynGeoSet_Binding | ( | binding,
|  | list |  | ) |

| Value:
    switch (binding)                                \
            {                                               \
            case osg::Geometry::BIND_PER_VERTEX:               \
                if (list.size() < _coordList.size()) {      \
                    binding = osg::Geometry::BIND_OFF;        \
                    list.clear(); }                         \
                break;                                      \
            case osg::Geometry::BIND_PER_PRIMITIVE:                 \
                if (list.size() < _primLenList.size()) {    \
                    binding = osg::Geometry::BIND_OFF;        \
                    list.clear(); }                         \
                break;                                      \
            case osg::Geometry::BIND_OVERALL:                 \
                if (list.size() < 1) {                      \
                    binding = osg::Geometry::BIND_OFF;        \
                    list.clear(); }                         \
                break;                                      \
            default:                                        \
                break;                                      \
            }

## Variable Documentation

const osg::PrimitiveSet::Mode NO_PRIMITIVE_TYPE = (osg::PrimitiveSet::Mode)0xffff